
%% Skript pro srovnání zlatého standardu a výsledků segmentačních metod. %%
%Veronika Smékalová, 2018
%do skriptu je nutné doplnit cestu k datům

clc, clear all, close all;

%% zlatý standard
dirname = '\'; %cesta k manuálně označeným datům
filename = dir([ dirname '*.tif']);                 
for n =1:length(filename);
    soubory = filename(n,1).name;                   
    zlaty_standard(:,:,n) = imread([dirname soubory]);    
end

%% prahování
dirname2 = '\'; %cesta k výsledku metody prahování (20 srovnávaných řezů)
filename2 = dir([ dirname2 '*.tiff']);                
for m = 1:length(filename2);
    soubory2 = filename2(m,1).name;                    
    data_class(:,:,m) = imread([dirname2 soubory2]);    
end

%% narůstání oblastí
% dirname3 = '\'; %cesta k výsledku metody narůstání oblastí (20 srovnávaných řezů)
% filename3 = dir([ dirname3 '*.tif']);                
% for m = 1:length(filename3);
%     soubory3 = filename3(m,1).name;                    
%     data_class(:,:,m) = imread([dirname3 soubory3]);    
% end

data_class=logical(data_class);
zlaty_standard=logical(zlaty_standard);

[ TP,FP,FN,TN ] = uspesnost( data_class,zlaty_standard) %zavolání funkce úspěšnost a výpočet počtu px ve třídách

